connect 'jdbc:derby:easydb';

CREATE TABLE TOKEN_INFO (
  ID INT NOT NULL PRIMARY KEY
, PATH VARCHAR(1024) NOT NULL
, NUM_OF_TOK INT NOT NULL
, FILE_SIZE BIGINT NOT NULL -- file size
, FOREIGN KEY (ID) REFERENCES FILE_INFO(ID)
);

CREATE INDEX IDX_TOKEN_INFO_PATH ON TOKEN_INFO(PATH);
CREATE INDEX IDX_TOKEN_INFO_NOT ON TOKEN_INFO(NUM_OF_TOKEN);
CREATE INDEX IDX_TOKEN_INFO_SIZE ON TOKEN_INFO(FILE_SIZE);

exit;
